package com.caliverse.admin.logs.entity;

public enum LogAction {
    None(""),
    AIChatDeleteCharacter("NPC 삭제"),
    AIChatDeleteUser("유저 삭제"),
    AIChatGetCharacter("NPC 조회"),
    AIChatIncentiveMarking("인센티브 획득 마킹"),
    AIChatIncentiveSearch("인센티브 조회"),
    AIChatJwtIssue("Jwt 토큰 발행"),
    AIChatJwtVerify("Jwt 토큰 확인"),
    AIChatPointCharge("포인트 충전"),
    AIChatPointChargeVerify("포인트 충전 확인"),
    AIChatRegisterCharacter("NPC 등록"),
    AIChatRegisterUser("유저 등록"),
    AIChatUpdateCharacter("NPC 정보 업데이트"),
    BanParty("파티 추방"),
    BattleInstanceJoin("배틀 인스턴스 조인"),
    BattleInstanceSnapshotCreate("배틀 인스턴스 스냅샷 생성"),
    BattleInstanceSnapshotSave("배틀 인스턴스 스냅샷 저장"),
    BattleObjectInteraction("배틀 오브젝트 상호작용"),
    BattleObjectStateUpdate("배틀 오브젝트 상태 변경"),
    BattlePodCombatOccupyReward("포드 컴뱃 소유 보상"),
    BattleRoundStateUpdate("배틀 라운드 스테이트 업데이트"),
    BattleUserDead("유저 데드"),
    BattleUserRespawn("배틀 리스폰"),
    BeaconAppearanceCustomize("비컨 외형 커스터마이징"),
    BeaconCreate("비컨 생성"),
    BeaconEdit("비컨 편집"),
    BeaconSell("비컨 매각"),
    BrokerApiAdmin("BrokerApi 어드민 재화 지급"),
    BrokerApiPlanetAuth("BrokerApi Planet 인증"),
    BrokerApiUserExchangeOrderCompleted("BrokerApi 재화 교환 완료"),
    BrokerApiUserExchangeOrderCreated("BrokerApi 재화 교환 주문"),
    BrokerApiUserLogin("BrokerApi 유저 로그인"),
    BrokerApiUserSystemMailSend("BrokerApi 아이템 메일 발송"),
    BrokerApiUserEchoSystemRequest("BrokerApi 에코시스템 전송"),
    BuffAdd("버프 추가"),
    BuffDelete("버프 제거"),
    CaliumSyncEchoSystem("칼리움 동기화 처리"),
    CancelFriendRequest("친구요청 취소"),
    CartAdd("장바구니 추가"),
    CartDelete("장바구니 삭제"),
    CartPurchase("장바구니 구매"),
    ChangeConvertCaliumInfo("칼리움 정보 변환"),
    CharacterAppearanceCustomize("캐리터 외형 커스터마이징"),
    CharacterAppearanceUpdate("캐릭터 외형 갱신"),
    CharacterCreate("캐릭터 생성(자동 생성)"),
    CharacterLoading("캐릭터 로딩"),
    ChatChannel("채널 채팅"),
    ChatNormal("노말 채팅"),
    ChatNotice("전서버 채팅"),
    ChatParty("파티 채팅"),
    ChatWhisper("귓속말 채팅"),
    CheatAllCraftFinish("치트로 인한 모든 제작 시간 단축"),
    CheatCommandChangeNickName("치트로 인한 캐릭터 명 변경"),
    CheatCommandCharacterInit("치트로 인한 캐릭터 초기화"),
    CheatCommandClaimReset("치트로 인한 클레임 리워드 리셋"),
    CheatCommandClaimUpdate("치트로 인한 클레임 리워드 대기시간 단축"),
    CheatCommandCraftHelpInit("치트로 인한 제작 헬프 초기화"),
    CheatCommandDeleteQuest("치트로 인한 퀘스트 삭제"),
    CheatCommandGainLand("치트로 인한 랜드 획득"),
    CheatCommandIncreaseExp("치트로 인한 시즌 패스 경험치 증가"),
    CheatCommandItem("치트로 인한 아이템 추가 삭제"),
    CheatCommandItemLevelUp("치트로 인한 아이템 레벨 업"),
    CheatCommandLandAuctionBlindSet("치트로 인한 랜드 경매 블라이인드 입찰 설정"),
    CheatCommandLandAuctionCanel("치트로 인한 랜드 경매 취소"),
    CheatCommandLandAuctionReserve("치트로 인한 랜드 경매 예약"),
    CheatCommandLandAuctionStart("치트로 인한 랜드 경매 시작"),
    CheatCommandPackageSend("치트로 인한 패키지 메일 전송"),
    CheatCommandQuestAccept("치트로 인한 퀘스트 할당"),
    CheatCommandQuestComplete("치트로 인한 퀘스트 완료"),
    CheatCommandRegisterCraftRecipe("치트로 인한 레시피 등록"),
    CheatCommandResetAllQuest("치트로 인한 퀘스트 리셋"),
    CheatCommandResetEscapePosition("치트로 인한 탈출시간 리셋"),
    CheatCommandResetMailCount("치트로 인한 메일 횟수 제한 초기화"),
    CheatCommandSeasonPassInit("치트로 인한 시즌 패스 초기화"),
    CheatCommandSendMail("치트로 인한 메일 발송"),
    CheatCommandShopProductInit("치트로 인한 상점 품목 초기화"),
    CheatCommandShopProductRenewal("치트로 인한 상점 갱신 전송"),
    ClaimReward("클레임 리워드 이벤트 보상"),
    ConvertCalium("칼리움 컨버터 변환"),
    ConvertExchangeCalium("칼리움 교환소 변환"),
    CraftFinish("제작 완료"),
    CraftHelp("제작 도움"),
    CraftRecipeRegister("제작 레시피 추가"),
    CraftStart("제작 시작"),
    CraftStop("제작 취소"),
    CreateCaliumContent("칼리움 컨텐츠 생성"),
    CreateParty("파티 생성"),
    CreatePartyInstance("파티 던전 생성"),
    DailyQuestCheck("데일리 퀘스트 체크"),
    DanceEntityStateEnd("캐릭터 엔티티 스테이트 댄스 종료"),
    DanceEntityStateStart("캐릭터 엔티티 스테이트 댄스 시작"),
    DeleteMyhome("마이홈 삭제"),
    DestroyParty("파티 파괴"),
    EnterMyhome("마이홈 입장"),
    EnterMyhomeEditRoom("마이홈 에디트 룸 입장"),
    EndPartyVote("파티 투표 종료"),
    FailCaliumEchoSystem("칼리움 에코시스템 실패"),
    FailCaliumStorageRollBack("칼리움 컨버터 롤백 실패"),
    FarmingCancel("파밍 취소"),
    FarmingComplete("파밍 완료"),
    FarmingIncompletedReward("파밍 미완료 보상"),
    FarmingStart("파밍 시작"),
    FillupCalium("칼리움 총량 누적"),
    FriendAdd("친구추가"),
    FriendDelete("친구삭세"),
    GainLandProfit("랜드 수익 획득"),
    igmApiLogin("igmApi 로그인"),
    InviteParty("파티 초대"),
    ItemBuy("아이템 구매"),
    ItemDestroy("아이템 제거"),
    ItemRandomBoxUse("아이템 랜덤박스 사용"),
    ItemTattooChangeAttribute("타투 아이템 속성변환"),
    ItemTattooLevelUp("타투 아이템 강화"),
    ItemUse("아이템 사용"),
    JoinInstance("인스턴스 입장"),
    JoinParty("파티 가입"),
    JoinPartyInstance("파티 인스턴스 입장"),
    KickFriendsFromMyhome("마이홈에서 친구 내쫒기"),
    LandAuctionActivity("랜드 경매 활성화"),
    LandAuctionBid("랜드 경매 입찰"),
    LandAuctionBidPriceRefund("랜드 경매 입찰금 환급"),
    LandAuctionCheck("랜드 경매 체크"),
    LeaveInstance("인스턴스 퇴장"),
    LeaveParty("파티 탈퇴"),
    LeavePartyInstance("파티 인스턴스 퇴장"),
    LoginToGame("게임 로그인"),
    LoginToGameSnapShot("게임 로그인 스냅샷"),
    LoginToUserAuth("계정 로그인"),
    MailAiChatIncentivePoint("AI Chat 인센티브 우편 지급"),
    MailDestroy("우편 삭제"),
    MailGetSystemMail("시스템 우편 받기"),
    MailInitSendCount("우편 보내기 기회 초기화"),
    MailRead("우편 읽기"),
    MailSend("우편 발송"),
    MailTaken("우편 첨부 수령"),
    ModifyLandInfo("랜드 정보 수정"),
    MoneyChange("재화 변경"),
    ProductGive("결제 상품 지급"),
    ProductOpenFailed("결제 상품 오픈 실패"),
    ProductOpenSuccess("결제 상품 오픈 성공"),
    QuestMailSend("퀘스트 우편 발송"),
    QuestMainAbort("퀘스트 메인 포기"),
    QuestMainAssignByDialogue("대화를 통한 퀘스트 메인 수락"),
    QuestMainAssignForce("퀘스트 메인 강제 수락"),
    QuestMainRefuse("퀘스트 메인 수락 거절"),
    QuestMainRepeatTimeInit("반복가능 퀘스트 리프레시 타임 초기화"),
    QuestMainRepeatTimeRefresh("반복가능 퀘스트 리프레시 타임 갱신"),
    QuestMainReward("퀘스트 메인 보상"),
    QuestMainTask("퀘스트 메인 태스크관련"),
    QuestTaskUpdate("퀘스트 태스크 업데이트"),
    RefuseFriendRequest("친구요청 거절"),
    RenameFriendFolder("친구 폴더면 수정"),
    RenameMyhome("마이홈 이름 변경"),
    RenewalShopProducts("사용자 요청에 의한 상픔 리스트 갱심"),
    RentFloor("빌딩 층 임대"),
    ReplyInviteParty("파티 초대 응답"),
    ReplySummonParty("파티 맴버 소환 응답"),
    ReservationEnterToServer("서버 이동 예약"),
    RewardProp("리워드 프랍"),
    SaveMyhome("마이홈 저장"),
    SeasonPassBuyCharged("시즌 패스 유료 구입"),
    SeasonPassStartNew("새로운 시즌 패스 시작"),
    SeasonPassTakeReward("시즌 패스 보상 획득"),
    SendFriendRequest("친구 신청"),
    ShopChangeProductTradingMeter("상품 리스트 갱신"),
    ShopGetProductTradingMeter("상품 리스트 조회"),
    ShopGetRePurchase("판매한 상품 리스트 조회"),
    ShopPurchase("상품 구매"),
    ShopRePurchase("판매한 상품 재구매"),
    ShopSell("상품 판매"),
    StageConcertStart("콘서트 시작"),
    StageEnter("스테이지 입장"),
    StageExit("스테이지 퇴장"),
    StartPartyVote("파티 투표 시작"),
    SummonParty("파티 맴버 소환"),
    SwitchingProp("데일리 퀘스트 체크"),
    TaskReservationComplete("Task Reservation complete"),
    TaxiMove("택시 이동"),
    TestBusinessLog("테스트 비지니스 로그 전송"),
    TestUserCreate("테스트 계정으로 생성"),
    TestUserInitial("테스트 계정으로 초기화"),
    TestWriteNoticeChat("테스트 공지사항 추가"),
    TestWriteSystemMail("테스트 시스템 메일 추가"),
    UgqAbort("Ugq 포기"),
    UgqApiAddSlot("UgqApi 슬롯 추가"),
    UgqApiAdminLogin("UgqApi 어드민 로그인"),
    UgqApiChangeState("UgqApi Ugq 상태 변경"),
    UgqApiCreatorPoint("UgqApi CreatorPoint 증감"),
    UgqApiLogin("UgqApi 로그인"),
    UgqApiLogout("UgqApi 로그아웃"),
    UgqApiQuestCraete("UgqApi 퀘스트 생성"),
    UgqAssign("Ugq 수락"),
    UgqDailyRewardCountRefresh("Ugq 데일리 보상 리프레시"),
    UgqDeregisterBookmark("Ugq 북마크 해제"),
    UgqDeregisterLike("Ugq 좋아요 해제"),
    UgqReAssign("Ugq 재수락"),
    UgqRegisterBookmark("Ugq 북마크 등록"),
    UgqRegisterLike("Ugq 좋아요 등록"),
    UgqTestAbort("Test Ugq 포기"),
    UgqTestAssign("Test Ugq 수락"),
    UgqTestDelete("Test Ugq 삭제"),
    UpdateCharacterProfile("캐릭터 프로필 업데이트"),
    UpdateCustomDefineUi("커스텀 UI 업데이트"),
    UpdateEscape("유저 탈출"),
    UpdateGameOption("게임 옵션 업데이트"),
    UpdateLanguage("유저 언어 업데이트"),
    UpdateUgcNpcLike("NPC Like 업데이트"),
    UserBlock("유저 차단"),
    UserBlockCancel("유저 차단 취소"),
    UserCreate("유저 생성"),
    UserLoading("유저 로딩"),
    UserLogout("유저 로그아웃"),
    UserLogoutSnapShot("게임 로그아웃 스냅샷"),
    UserReport("유저 신고"),
    ItemDestroyByUser("아이템 제거 (사용자에 의해)"),
    ItemDestoryByExpiration("아이템 제거 (기간만료에 의해)"),

    // 퀘스트 관련
    QuestMainAssign("퀘스트 메인 수락"),

    // 비컨 상점 관련
    BeaconShopRegisterItem("비컨 상점에 아이템 등록"),
    BeaconShopReturnItem("비컨 상점 아이템 회수"),
    BeaconShopPurchaseItem("비컨 상점에서 아이템 구매"),
    BeaconShopReceivePaymentForSales("비컨 상점 판매한 아이템 정산 받기"),
    BeaconShopSearchItem("비컨 상점 아이템 검색"),
    BeaconShopUpdateDailyCount("비컨 상점 하루 제한 업데이트"),
    BeaconShopDeleteRecord("비컨 상점 기록 영수증 제거"),
    BeaconShopDeactiveItems("비컨 상점 아이템 비활성화"),

    // 치트 명령어 관련
    CheatCommandBeaconShopItemTimeChange("치트로 인한 비컨 상점 시간 변경"),
    CheatCommandDailyLimitInit("치트로 인한 비컨 상점 일일 횟수 초기화"),
    Warp("워프");



    private final String description;

    LogAction(String description) {
        this.description = description;
    }

    public String getDescription() {
        return description;
    }

    @Override
    public String toString() {
        return name() + "(" + description + ")";
    }
}
